Bug 463334 - [LTC 6.0 FEAT] 201116:Include Apache MyFaces (1.1.4 preferable) in RHEL
[LTC 6.0 FEAT] 201116:Include Apache MyFaces (1.1.4 preferable) in RHEL
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: distribution (Show other bugs)
All All
medium Severity medium
: alpha
: ---
Assigned To: RHEL Product and Program Management
Daniel Riek
: 463668 (view as bug list)
Depends On:
Blocks: 356741
  Show dependency treegraph
Reported: 2008-09-22 18:11 EDT by IBM Bug Proxy
Modified: 2009-07-09 12:00 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-09 10:40:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-22 18:11:25 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:29 EDT
1. Feature Overview:
Feature Id:	[201116]
a. Name of Feature:	Include Apache MyFaces (1.1.4 preferable) in RHEL
b. Feature Description
Include Apache MyFaces package in RHEL5.x release.  V1.1.4 is preferable, but we can also work with
V1.1.5, if Red Hat prefer.

2. Feature Details:
Sponsor:	LTC Systems Mgt

Arch Specificity: Purely Common Code
Delivery Mechanism: Direct from community
Category:	Systems management
Request Type:	Package - Feature from Upstream
d. Upstream Acceptance:	Accepted
Sponsor Priority	2
f. Severity: Medium
IBM Confidential:	no
Code Contribution:	3rd party code
g. Component Version Target:	Apache MyFaces V1.1.4 or V1.1.5 available at http://www.apache.org

3. Business Case
This file is needed to compile  and use the WBEM-SMT client originally submitted under DevTrack
200842 for RHEL5.1.  If this file is not included in RHEL5.1, customers will have the locate the
necessary files and install them in the relevant locations.  This will lead to customer
dis-satisfaction and the increased chance for support calls if customers use the wrong files in the
wrong locations.    This request is one of four related release features - IBM DevTrack 201115 - 201118.

4. Primary contact at Red Hat: 
John Jarvis

5. Primary contacts at Partner:
Project Management Contact:
Sarah Wright, sarahw@us.ibm.com, 503-578-5145

Technical contact(s):
Wolfgang Taphorn, taphorn@de.ibm.com

IBM Manager:
Jeffrey Heroux, heroux@us.ibm.com
Comment 1 IBM Bug Proxy 2008-09-23 04:20:36 EDT
ReAssigned this bugzilla to Saravanan Kannan.
Comment 3 Bill Nottingham 2008-10-02 17:10:36 EDT
*** Bug 463668 has been marked as a duplicate of this bug. ***
Comment 4 IBM Bug Proxy 2008-10-02 17:48:48 EDT
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:13 EDT
Feature Id:	[201470]
a. Name of Feature:	Web 2.0 - Inclusion of package  Apache MyFaces Core (JSR 252 - JSF
implementation - recommended Version 1.1.x)
The success of Web 2.0 is based on the availability of run-time components and applications which
make use of them. One of these components is the latest stable release of Apache MyFaces Core which
needs to be included. Recommended Version of Apache MyFaces Core is 1.1.x (JSR 252 - JSF
implementation) .

Sponsor:	zSeries

Delivery Mechanism: Request Red Hat development assistance
Category:	zSeries
Request Type:	Package - New
d. Upstream Acceptance:	No Code Required
Sponsor Priority	1
f. Severity: High
Code Contribution:	no
g. Component Version Target:	n/a

The Web 2.0 has reached almost every IT company. The success of Web 2.0 is based on the availability
of run-time components and applications which make use of them. To continue on this success of Web
2.0, new components are required to get included and available components need to be updated in the
enterprise releases of Linux distributions. This will enable customers to make their experiences on
deploying and testing their Web 2.0 applications.

Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Gonzalo Muelas Serrano, gmuelas@de.ibm.com

Thomas Schwarz, t.schwarz@de.ibm.com

*** This bug has been marked as a duplicate of 463334 ***
Comment 7 IBM Bug Proxy 2009-03-02 07:52:27 EST
Package from upstream, no code to attach to feature BZ
Comment 8 IBM Bug Proxy 2009-03-03 08:20:42 EST
The levels listed are minimums.  Please take the latest GA version of MyFace Core.
Comment 9 IBM Bug Proxy 2009-05-29 04:21:04 EDT
------- Comment From mgrf@de.ibm.com 2009-05-29 04:16 EDT-------
Add additional comments from eSDT mtg

JavaServer(tm) Faces is the well-established standard for web-development frameworks in Java. The standard is based on the MVC paradigm, but is additionally to most web-frameworks also component-based and event-oriented.
Provides an implementation of the JavaServer Faces 1.1 (JSF 1.1) specification.
Two libraries: myfaces-api.jar and myfaces-impl.jar, are deployed together with your code to form a JSF web application.
Comment 10 Siddharth Nagar 2009-07-09 10:26:20 EDT
We currently include RichFaces and including MyFaces will require us to support two implementations of similar functionality. We are therefore not able to entertain this request at this time.
Comment 11 RHEL Product and Program Management 2009-07-09 10:40:19 EDT
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request.
Comment 12 IBM Bug Proxy 2009-07-09 12:00:47 EDT
------- Comment From sglass@us.ibm.com 2009-07-09 11:56 EDT-------
Quiting this feature.

Note You need to log in before you can comment on or make changes to this bug.